# geos::index::chain::MonotoneChainSelectAction Class Reference

`#include <MonotoneChainSelectAction.h>`

Inherited by geos::algorithm::MCPointInRing::MCSelecter.

List of all members.

## Public Member Functions

virtual void | select (MonotoneChain &mc, unsigned int start)
| This function can be overridden if the original chain is needed.
virtual void | select (const geom::LineSegment &seg)=0

## Public Attributes

geom::Envelope | tempEnv1

## Protected Attributes

geom::LineSegment | selectedSegment

## Detailed Description

The action for the internal iterator for performing Envelope select queries on a MonotoneChain

## Member Function Documentation

virtual void geos::index::chain::MonotoneChainSelectAction::select | ( | const geom::LineSegment & | seg ) | `[pure virtual]`

This is a convenience function which can be overridden to obtain the actual line segment which is selected

Parameters:

  seg |

The documentation for this class was generated from the following file:

- MonotoneChainSelectAction.h